# Skript Snippet

{% code lineNumbers="true" fullWidth="true" %}

```
import:
    dk.dream.combatlog.api.CombatLogAPI

condition %player% is in combat:
    check:
        if CombatLogAPI.isInCombat(expr-1):
            continue
```

{% endcode %}

### Eksempel på brug:

<pre data-line-numbers data-full-width="true"><code>import:
    dk.dream.combatlog.api.CombatLogAPI

condition %player% is in combat:
    check:
        if CombatLogAPI.isInCombat(expr-1):
            continue

<strong>command /spawn:
</strong>    trigger:
        if player is in combat:
            send "&#x26;cDu kan ikke skrive Spawn når du er i Combat." to player
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.dreamnetwork.dk/plugins/combatlog/skript-snippet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
